> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Answer Library entries

> List Answer Library entries. Supports full-text search, tag filtering
(OR across the given tags), and date-range filters on last-updated and
expiration.



## OpenAPI

````yaml /reference/manage-vanta.json get /knowledge-base/answer-library
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /knowledge-base/answer-library:
    get:
      tags:
        - Knowledge Base
      summary: List Answer Library entries
      description: |-
        List Answer Library entries. Supports full-text search, tag filtering
        (OR across the given tags), and date-range filters on last-updated and
        expiration.
      operationId: ListAnswerLibraryEntries
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: Full-text search across question and answer.
          in: query
          name: q
          required: false
          schema:
            type: string
        - description: Only include entries updated at or after this ISO 8601 timestamp.
          in: query
          name: lastUpdatedAfter
          required: false
          schema:
            type: string
        - description: Only include entries updated at or before this ISO 8601 timestamp.
          in: query
          name: lastUpdatedBefore
          required: false
          schema:
            type: string
        - description: >-
            JSON-encoded array of `{categoryId, tagId}` pairs. Entries matching
            any

            of the given tags are returned (OR filter). Discover valid
            `categoryId`

            and `tagId` values via `GET /v1/customer-trust/tag-categories` (to
            list

            categories) and `GET
            /v1/customer-trust/tag-categories/{tagCategoryId}`

            (to list tags within a category).
          in: query
          name: matchesTags
          required: false
          schema:
            type: string
        - description: Only include entries expiring at or before this ISO 8601 timestamp.
          in: query
          name: expiresBefore
          required: false
          schema:
            type: string
        - description: Only include entries expiring at or after this ISO 8601 timestamp.
          in: query
          name: expiresAfter
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_KnowledgeBaseAnswerLibraryEntryOutput_
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: 507f1f77bcf86cd799439031
                          question: Do you encrypt customer data at rest?
                          answer: >-
                            Yes. All customer data is encrypted at rest using
                            AES-256, with keys managed in AWS KMS.
                          expirationStatus: CURRENT
                          ownerAssignment:
                            type: User
                            id: 507f1f77bcf86cd799439041
                            displayName: Alex Rivera
                          expirationDate: '2025-12-31T00:00:00.000Z'
                          lastUpdated: '2024-10-12T16:08:42.000Z'
                          lastVerified: '2024-12-01T09:00:00.000Z'
                          tags:
                            - categoryId: 507f1f77bcf86cd799439011
                              tagId: 507f1f77bcf86cd799439013
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_KnowledgeBaseAnswerLibraryEntryOutput_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/KnowledgeBaseAnswerLibraryEntryOutput'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    KnowledgeBaseAnswerLibraryEntryOutput:
      properties:
        id:
          type: string
        question:
          type: string
        answer:
          type: string
        expirationStatus:
          type: string
          enum:
            - CURRENT
            - EXPIRED
        ownerAssignment:
          allOf:
            - $ref: '#/components/schemas/AnswerLibraryActorAssignment'
          nullable: true
        expirationDate:
          type: string
          nullable: true
        lastUpdated:
          type: string
        lastVerified:
          type: string
          nullable: true
        tags:
          items:
            $ref: '#/components/schemas/TagInput'
          type: array
      required:
        - id
        - question
        - answer
        - expirationStatus
        - ownerAssignment
        - expirationDate
        - lastUpdated
        - lastVerified
        - tags
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    AnswerLibraryActorAssignment:
      properties:
        type:
          type: string
          enum:
            - User
            - Team
        id:
          type: string
        displayName:
          type: string
          nullable: true
      required:
        - type
        - id
        - displayName
      type: object
      additionalProperties: false
    TagInput:
      properties:
        categoryId:
          type: string
        tagId:
          type: string
      required:
        - categoryId
        - tagId
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````